Name:		xplanet
Version:	1.2.1
Release:	%mkrel 2
Summary:	OpenGL based planet renderer
Source0:	http://freefr.dl.sourceforge.net/sourceforge/xplanet/%{name}-%{version}.tar.gz
Patch0:		xplanet-1.2.1-fix-gcc44.patch
URL:		http://xplanet.sourceforge.net/
License:	GPLv2+
Group:		Toys
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	png-devel pango-devel jpeg-devel tiff-devel X11-devel  

%description
Xplanet is similar to Xearth, where an image of the earth is rendered into
an X window. Azimuthal, Mercator, Mollweide, orthographic, or rectangular
projections can be displayed as well as a window with a globe the user can
rotate interactively. The other planets and some satellites may also be
displayed. The latest version, as well as maps for other planets can be
found at http://xplanet.sourceforge.net. Xplanet can support separate
night and day maps, as well as a separate cloud map.

%prep
%setup -q
%patch0 -p0

%build
# the macro break X output
%configure2_5x --with-xscreensaver --with-x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

#mkdir -p $RPM_BUILD_ROOT/%_prefix/man/man1
#mv $RPM_BUILD_ROOT/%_prefix/man/*.1 $RPM_BUILD_ROOT/%_prefix/man/man1/
#bzip2 $RPM_BUILD_ROOT/%_mandir/man1/*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog INSTALL
%{_mandir}/man1/%{name}.1.*
%{_bindir}/*
%{_datadir}/*


%changelog
* Sat Aug 15 2009 Oden Eriksson <oeriksson@mandriva.com> 1.2.1-2mdv2010.0
+ Revision: 416669
- rebuilt against libjpeg v7

* Mon May 25 2009 Rémy Clouard <shikamaru@mandriva.org> 1.2.1-1mdv2010.0
+ Revision: 379668
- use macro for configure
- new upstream version
- fix license
- add missing includes

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Fix prefix

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Apr 27 2007 Lenny Cartier <lenny@mandriva.org> 1.2.0-3mdv2008.0
+ Revision: 18707
- Rebuild
- Import xplanet



* Wed Sep 14 2005 Michael Scherer <misc@mandriva.org> 1.2.0-2mdk
- mkrel
- BuildRequires and configure option, to fix #18568

* Fri Jun 17 2005 Lenny Cartier <lenny@mandriva.com> 1.2.0-1mdk
- 1.2.0

* Tue Mar 24 2005 Couriousous <couriousous@mandrake.org> 1.1.2-2mdk
- Rebuild ( fix #14949 )

* Tue Jan 11 2005 Lenny Cartier <lenny@mandrakesoft.com> 1.1.2-1mdk
- 1.1.2

* Mon Jul 26 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.1.1-1mdk
- 1.1.1

* Tue Jun 22 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.1.0-1mdk
- 1.1.0

* Mon May 17 2004 Michael Scherer <misc@mandrake.org> 1.0.6-1mdk
- New release 1.0.6

* Thu Jan 08 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.0.3-1mdk
- 1.0.3

* Sun Jan 04 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.0.2-1mdk
- 1.0.2
- rm -rf $RPM_BUILD_ROOT in %%install, not %%prep
- cosmetics

* Tue Mar 18 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.1-1mdk
- 1.0.1

* Thu Aug 15 2002 Laurent Culioli <laurent@pschit.net> 0.94-3mdk
- Rebuild with gcc3.2

* Wed Aug  7 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.94-2mdk
- gcc 3.2 build

* Mon Jun 03 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.94-1mdk
- 0.94
- patch0: fix aclocal.m4 & configure.in with useless includes

* Thu Jan 10 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.92-1mdk
- 0.92

* Thu Oct 18 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.90-1mdk 
- 0.90

* Fri Oct 12 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.84-1mdk
- 0.84

* Sat Jul 28 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.83-1mdk
- update to version 0.83
- mandrakize macros

* Mon Apr 02 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.80-1mdk
- added in contribs by Sean Dague <sean@dague.net>
